GET /api/v3/agencies/{lcuid}/campaigns¶
Summary¶
GET agencies/{id}/campaigns
Description¶
Return a list of campaigns for an agency
See Campaign Response Fields for more information on the campaign object
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
agency.viewCampaigns
Tags: agencies
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)campaigns(array)-
Array items:
objectType:objectProperties:
name(string)lcuid(string)active(boolean)created_at(string)campaign_state(integer)campaign_state_changed_at(string)hash_id(string)campaign_class(string)campaign_class_description(string)options(object) Type:object
Properties:
unique_board_sizes(array)- Array items:
string
- Array items:
-
unique_board_formats(array)- Array items:
string
- Array items:
-
schedule(string) build_status(integer)last_build_at(string)
Example Response¶
{
"success": true,
"campaigns": [
{
"name": "Spring Breezy Outdoor Campaign",
"lcuid": "LCUID-LE-111e0b1e-4912-4afe-a0d6-7e7f32bc308e",
"active": true,
"created_at": "2026-01-07T00:10:16.000000Z",
"campaign_state": 6,
"campaign_state_changed_at": null,
"hash_id": "lch-4CPb",
"campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
"campaign_class_description": "Media Owner Contract",
"options": {
"unique_board_sizes": [
"1024x768"
],
"unique_board_formats": [
"oddblock"
]
},
"schedule": null,
"build_status": 7,
"last_build_at": null
},
{
"name": "Summer Breezy Outdoor Campaign",
"lcuid": "LCUID-LE-46a56e90-5843-4b8d-a107-0169dd5da511",
"active": true,
"created_at": "2026-01-07T00:10:20.000000Z",
"campaign_state": 6,
"campaign_state_changed_at": null,
"hash_id": "lch-4CPc",
"campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
"campaign_class_description": "Media Owner Contract",
"options": {
"unique_board_sizes": [
"1024x768"
],
"unique_board_formats": [
"oddblock"
]
},
"schedule": null,
"build_status": 7,
"last_build_at": null
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/campaigns" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/campaigns"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/campaigns',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/campaigns'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()